Abstract class for TokenReaders.

author | Manuel Holtgewe
version | $Id$
package | phing.filters.util

### Methods

## Constructor

    __construct(\Project $project)

### Parameters

#### $project

`object`

Reference to the project the TokenReader is used in.

## Utility function for logging

    log($level, $msg)

### Parameters

#### $level

#### $msg

## Reads the next token from the Reader

    readToken() : string

### Exceptions

`\IOException` | - On error

### Returns

`string`

### Properties

##

    $project : \Project